// Ref: https://github.com/nuxt-community/vuetify-module#customvariables
//
// The variables you want to modify
@import 'vuetify/src/styles/tools/_functions.sass';
@import 'vuetify/src/styles/settings/_colors.scss';

$material-light: ( 
	cards: map-get($shades, 'white'),
	'text': (
		'theme': map-deep-get($colors, 'blue-grey', 'darken-3'),
		'primary': map-deep-get($colors, 'blue-grey', 'darken-3'),
		'secondary': map-deep-get($colors, 'blue-grey', 'lighten-1'),
		'disabled': map-deep-get($colors, 'blue-grey', 'lighten-4'),
		'link': map-get($blue, 'darken-2'),
		'link-hover': map-get($grey, 'darken-3')
	),
	'fg-color': map-deep-get($colors, 'blue-grey', 'darken-3'),
);

$material-dark: ( 
	'text': (
		'theme': map-deep-get($colors, 'blue-grey', 'darken-3'),
		'primary': map-get($shades, 'white'),
		'secondary': rgba(map-get($shades, 'white'), 0.7),
		'disabled': rgba(map-get($shades, 'white'), 0.5),
		'link': map-get($blue, 'accent-1'),
		'link-hover': map-get($grey, 'lighten-3')
	)
);

@import url('https://fonts.googleapis.com/css2?family=Roboto+Slab:wght@300;500;900&display=swap');

$body-font-family: 'Roboto Slab', serif;
$heading-font-family: $body-font-family;
$headings: (
	'h1': (
		'font-family': $heading-font-family,
		'font-size': 88px
	),
	'h2': (
		'font-family': $heading-font-family,
	),
	'h3': (
		'font-family': $heading-font-family,
	),
	'h4': (
		'font-family': $heading-font-family,
	),
	'h5': (
		'font-family': $heading-font-family,
	),
	'h6': (
		'font-family': $heading-font-family,
	),
);

$main-gradient: linear-gradient(90deg, rgba(70,23,70,1) 0%, rgba(116,30,154,1) 35%, rgba(94,30,68,1) 63%, rgba(141,50,30,1) 100%);
